Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.clocks
Class TimeCallBack

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.clocks.QTCallBack
                  |
                  +--quicktime.std.clocks.TimeCallBack

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public abstract class TimeCallBack
extends QTCallBack

Provides scheduled operations at specified time values. Refer to QTCallBack in QuickTime

Field Summary
`int` | `flags` Determines when the callback will be called.
`int` | `scale` Determines the scale that is used in the callback.
`int` | `value` Determines the time value that is used in the callback

Fields inherited from class quicktime.std.clocks.QTCallBack
`rateWhenCalled, timeWhenCalledMsecs, upp`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`TimeCallBack(TimeBase tb, int scale, int value, int flags)` This allows your application to obtain a new callback.

Method Summary
`void` | `callMeWhen()` Specifies the time when the callback sholud be called.
`java.lang.String` | `toString()` String representation of this class.

Methods inherited from class quicktime.std.clocks.QTCallBack
`cancel, cancelAndCleanup, execute, getTimeBase, getType`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scale

    public int scale

  Determines the scale that is used in the callback.

### value

    public int value

  Determines the time value that is used in the callback

### flags

    public int flags

  Determines when the callback will be called.

Constructor Detail

### TimeCallBack

    public TimeCallBack(TimeBase tb,
                        int scale,
                        int value,
                        int flags)
                 throws QTException

  This allows your application to obtain a new callback.
  QuickTime::NewCallBack()
Parameters:
  `tb` - the time base that the callback is attached too.
  `scale` - the scale that is used to determine the value in seconds of the value parametre
  `value` - the value in units as specified by the scale
  `flags` - the conditions under which the Callback will be executed

Method Detail

### callMeWhen

    public final void callMeWhen()
                          throws StdQTException

  Specifies the time when the callback sholud be called.
  QuickTime::CallMeWhen
Overrides:
  `callMeWhen` in class `QTCallBack`

  Parameters:
    `cb` - Specifies the callback used in the operation. Should set flags, scale, value. Flags specify certain scheduling information as triggerTimeFwd, triggerTimeBwd or triggerTimeEither.

### toString

    public java.lang.String toString()

  String representation of this class.
  Overrides:
    `toString` in class `QTCallBack`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD